| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends | List of all members
libdar::infinint Class Reference
Private

the arbitrary large positive integer class More...

`#include <real_infinint.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| infinint (size_t a=0)
| infinint (const infinint &ref)
| infinint (generic_file &x)
const infinint & | operator= (const infinint &ref)
void | dump (generic_file &x) const
void | read (generic_file &f)
infinint & | operator+= (const infinint &ref)
infinint & | operator-= (const infinint &ref)
infinint & | operator*= (unsigned char arg)
infinint & | operator*= (const infinint &ref)
template<class T >
infinint | power (const T &exponent) const
infinint & | operator/= (const infinint &ref)
infinint & | operator%= (const infinint &ref)
infinint & | operator&= (const infinint &ref)
infinint & | operator|= (const infinint &ref)
infinint & | operator^= (const infinint &ref)
infinint & | operator>>= (U_32 bit)
infinint & | operator>>= (infinint bit)
infinint & | operator<<= (U_32 bit)
infinint & | operator<<= (infinint bit)
infinint | operator++ (int a)
infinint | operator-- (int a)
infinint & | operator++ ()
infinint & | operator-- ()
U_32 | operator% (U_32 arg) const
template<class T >
void | unstack (T &v)
infinint | get_storage_size () const
unsigned char | operator[] (const infinint &position) const
bool | is_zero () const
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Static Public Member Functions
static bool | is_system_big_endian ()

## Friends
bool | operator< (const infinint &, const infinint &)
bool | operator== (const infinint &, const infinint &)
bool | operator> (const infinint &, const infinint &)
bool | operator<= (const infinint &, const infinint &)
bool | operator!= (const infinint &, const infinint &)
bool | operator>= (const infinint &, const infinint &)
void | euclide (infinint a, const infinint &b, infinint &q, infinint &r)

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the arbitrary large positive integer class

can only handle positive integer numbers

Definition at line 59 of file real_infinint.hpp.

The documentation for this class was generated from the following file:

- real_infinint.hpp